<?php

namespace app\models;

use Yii;
use yii\base\Model;
use yii\data\ActiveDataProvider;
use app\models\Restore;

/**
 * RestoreSearch represents the model behind the search form about `app\models\Restore`.
 */
class RestoreSearch extends Restore
{
    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['id', 'ticket_id'], 'integer'],
            [['startedAt', 'finishedAt', 'file', 'restoreDate'], 'safe'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
        $query = Restore::find();

        // add conditions that should always apply here

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
            'sort'=> [
                'defaultOrder' => ['finishedAt'=>SORT_DESC]
            ],
            'pagination' => array(
                'defaultPageSize' => 5,
                'pageSizeLimit' => [1, 100],
            ),
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere([
            'id' => $this->id,
            'startedAt' => $this->startedAt,
            'finishedAt' => $this->finishedAt,
            'ticket_id' => $this->ticket_id,
            'restoreDate' => $this->restoreDate,
        ]);

        $query->andFilterWhere(['like', 'file', $this->file]);

        return $dataProvider;
    }
}
