<?php
/** @var \dosamigos\fileupload\FileUploadUI $this */
use yii\helpers\Html;

$context = $this->context;
?>
<!-- The fileupload-buttonbar contains buttons to add/delete files and start/cancel the upload -->
<div class="row fileupload-buttonbar">
    <div class="col-lg-7">
        <!-- The fileinput-button span is used to style the file input field as button -->
        <span class="btn btn-default fileinput-button">
            <i class="glyphicon glyphicon-plus"></i>
            <span><?= Yii::t('jqueryfileupload', 'Add file') ?>...</span>

            <?php
                $name = $context->model instanceof \yii\base\Model && $context->attribute !== null ? Html::getInputName($context->model, $context->attribute) : $context->name;
                $value = $context->model instanceof \yii\base\Model && $context->attribute !== null ? Html::getAttributeValue($context->model, $context->attribute) : $context->value;
                echo Html::hiddenInput($name, $value).Html::fileInput($name, $value, $context->options);
            ?>

        </span>
        <button type="submit" class="btn btn-primary start hidden">
            <i class="glyphicon glyphicon-upload"></i>
            <span><?= Yii::t('jqueryfileupload', 'Start upload') ?></span>
        </button>
        <button type="reset" class="btn btn-warning cancel hidden">
            <i class="glyphicon glyphicon-ban-circle"></i>
            <span><?= Yii::t('jqueryfileupload', 'Cancel upload') ?></span>
        </button>
        <button type="button" class="btn btn-danger delete hidden">
            <i class="glyphicon glyphicon-trash"></i>
            <span><?= Yii::t('jqueryfileupload', 'Delete') ?></span>
        </button>
        <input type="checkbox" class="toggle hidden">
        <!-- The global file processing state -->
        <span class="fileupload-process"></span>
    </div>
    <!-- The global progress state -->
    <div class="col-lg-5 fileupload-progress fade">
        <!-- The global progress bar -->
        <div class="progress progress-striped active" role="progressbar" aria-valuemin="0" aria-valuemax="100">
            <div class="progress-bar progress-bar-success" style="width:0%;"></div>
        </div>
        <!-- The extended global progress state -->
        <div class="progress-extended">&nbsp;</div>
    </div>
</div>
<!-- The table listing the files available for upload/download -->
<table role="presentation" class="table table-striped"><tbody class="files"></tbody></table>